package it.unipd.is;

import java.io.*;

public class TestException
{
	public static void main(String[] argv)
	{
		try
		{
			(new TestException()).exec(argv);
		}
		catch(MyException me)
		{
			me.printStackTrace();
		}
	}

	public void exec(String[] argv) throws MyException
	{
		BufferedReader br = null;
		try
		{
			br = new BufferedReader(new FileReader(argv[0]));
		}
		catch(FileNotFoundException fnfe)
		{
			fnfe.printStackTrace();
			//faccio cleanup locale
			MyException me = new MyException("Non trovo il file");
			me.initCause(fnfe);
			throw me;
		}

		String line = null;

		try
		{
			while( (line = br.readLine()) != null)
			{
				System.out.println(line);
			}
		}
		catch(IOException ioe)
		{
			ioe.printStackTrace();
		}

		try
		{
			br.close();
		}
		catch(IOException ioe)
		{
			ioe.printStackTrace();
		}
	}
}
